<!--
  ~ Copyright (c) 2018-2020 Blacknet Team
  ~
  ~ Licensed under the Jelurida Public License version 1.1
  ~ for the Blacknet Public Blockchain Platform (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ See the LICENSE.txt file at the top-level directory of this distribution.
  -->

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Blacknet</title>
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/index.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
    <meta http-equiv="content-security-policy"
        content="default-src 'self';connect-src https://serialization-server.blnscan.io https://blnmobiledaemon.blnscan.io https://blnscan.io ">
</head>

<body>
    <div class="blacknet-message" id="blacknet-message">
    </div>
    <header>
        <div class="logo">
            Blacknet
        </div>
        <div class="network">
            <p>
                <span data-i18n="supply">Supply</span>:<span class="supply strong"></span>
                <span data-i18n="height">Height</span>: <span class="height strong"></span>
                <span data-i18n="connections">Connections</span>: <span class="connections strong">-</span></p>
        </div>
    </header>
    <div class="container">
        <div class="main-menu">

            <div class="menu">
                <ul>
                    <li>
                        <a href="#" data-index="overview" data-i18n="overview">Overview</a>
                    </li>
                    <li>
                        <a href="#" data-index="send" data-i18n="send">Send</a>
                    </li>
                    <li>
                        <a href="#" data-index="lease" data-i18n="lease">Lease</a>
                    </li>
                    <li>
                        <a href="#" data-index="cancel_lease" data-i18n="cancel lease">Cancel Lease</a>
                    </li>
                    <li>
                        <a href="#" data-index="transactions" data-i18n="transactions">Transactions</a>
                    </li>
                    <li>
                        <a href="#" data-index="sign" data-i18n="sign/verify message">Sign/Verify Message</a>
                    </li>
                    <li>
                        <a href="#" data-index="about" data-i18n="About Blacknet">About Blacknet Desktop</a>
                    </li>
                </ul>
            </div>
            <div class="rightpanel">
                <div class="overview">
                    <h3 data-i18n="wallet info">Wallet Info</h3>
                    <table>
                        <tbody>
                            <tr>
                                <td data-i18n="account">Account</td>
                                <td>
                                    <span class="overview_account"></span>
                                    <a href="#" id="switch_account" data-i18n="Logout">Logout</a>

                                </td>
                                <td rowspan="4">
                                    <div class="qrcode">
                                        <canvas id="qr"></canvas>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="balance">Balance</td>
                                <td class="overview_balance strong">0.00000000 BLN</td>
                            </tr>
                            <tr>
                                <td data-i18n="confirmed balance">Confirmed Balance</td>
                                <td class="overview_confirmed_balance strong">0.00000000 BLN</td>
                            </tr>
                            <tr>
                                <td data-i18n="staking balance">Staking Balance</td>
                                <td class="overview_staking_balance strong">0.00000000 BLN</td>
                            </tr>
                            <tr>
                                <td data-i18n="inLeasesBalance">In Leases Balance</td>
                                <td colspan="2" class="inLeasesBalance strong">0.00000000 BLN</td>
                            </tr>
                            <tr>
                                <td data-i18n="outLeasesBalance">Out Leases Balance</td>
                                <td colspan="2" class="outLeasesBalance strong">0.00000000 BLN</td>
                            </tr>
                            <tr>
                                <td data-i18n="Real Balance">Real Balance</td>
                                <td colspan="2" class="realBalance strong">0.00000000 BLN</td>
                            </tr>
                        </tbody>
                    </table>
                    <h3 data-i18n="node info">Node Info</h3>
                    <table>
                        <tbody>
                            <tr class="overview_warnings_row">
                                <td data-i18n="warnings">Warnings</td>
                                <td>
                                    <span class="overview_warnings"></span>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="version">Version</td>
                                <td width="636">
                                    <span class="overview_version"></span>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="height">Height</td>
                                <td>
                                    <a target="_blank" href="#" class="overview_height"></a>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="blockhash">BlockHash</td>
                                <td>
                                    <a target="_blank" href="#" class="overview_blockHash"></a>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="blocktime">BlockTime</td>
                                <td>
                                    <span class="overview_blockTime"></span>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="difficulty">Difficulty</td>
                                <td>
                                    <span class="overview_difficulty"></span>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="cumulative difficulty">CumulativeDifficulty</td>
                                <td>
                                    <span class="overview_cumulativeDifficulty"></span>
                                </td>
                            </tr>
                            <tr>
                                <td data-i18n="supply">Supply</td>
                                <td>
                                    <span class="overview_supply strong"></span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="transactions">
                    <h3 data-i18n="recent transactions">Recent Transactions</h3>
                    <div class="filter" ng-init="type='all'">
                        <a href="#" data-type="all" class="active" data-i18n="All">All</a>
                        <a href="#" data-type="0" data-i18n="Transfer">Transfer</a>
                        <a href="#" data-type="2" data-i18n="Lease">Lease</a>
                        <a href="#" data-type="3" data-i18n="Cancel Lease">Cancel Lease</a>
                        <a href="#" data-type="254" data-i18n="PoS Generated">PoS Generated</a>
                    </div>
                    <table id="tx-table">
                        <thead>
                            <tr>
                                <td class="left" data-i18n="time">Time</td>
                                <td class="left" data-i18n="type">Type</td>
                                <td class="left" data-i18n="account">Account</td>
                                <td class="right" data-i18n="amount">Amount</td>
                            </tr>
                        </thead>
                        <tbody id="tx-list">
                            <tr class="loading-spinner">
                                <td colspan="5">
                                    <div class="spinner">
                                        <div class="rect1"></div>
                                        <div class="rect2"></div>
                                        <div class="rect3"></div>
                                        <div class="rect4"></div>
                                        <div class="rect5"></div>
                                    </div>
                                    <div class="tx-progress text-center"></div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot class="tx-foot">
                            <tr class="no_tx_yet">
                                <td colspan="5" class="text-center">
                                    <p><span data-i18n="No transactions yet">No transactions yet</span></p>
                                </td>
                            </tr>
                            <tr class="show_more_txs">
                                <td colspan="5" class="text-center">
                                    <a href="#" class="full_transaction_history"
                                        data-i18n="Show Full Transaction History">Show Full Transaction History</a>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <div class="send">
                    <div class="form">
                        <legend data-i18n="send bln">Send BLN</legend>
                        <div class="field-row send-text">
                            <label data-i18n="pay to">Pay To</label>
                            <input type="text" id="transfer_to" placeholder="Blacknet account...">
                            <a href="#" class="address-book"><i class="fa fa-address-book"></i></a>
                        </div>

                        <div class="field-row">
                            <label>
                                <span data-i18n="amount">Amount</span>
                                <strong>(BLN)</strong>
                            </label>
                            <input type="number" step="0.00000001" min="1" placeholder="Amount" id="transfer_amount">
                        </div>

                        <div class="field-row">
                            <label data-i18n="message">Message</label>
                            <input type="text" id="transfer_message" placeholder="Transfer message">
                        </div>
                        <div class="field-row">
                            <label data-i18n="encrypted">Encrypted</label>
                            <input type="checkbox" id="transfer_encrypted">
                        </div>
                        <button id="transfer" data-i18n="send">Send</button>
                    </div>
                    <div class="field-row field-row-outer hidden">
                        <label data-i18n="result">Result</label>
                        <p id="transfer_result"></p>
                    </div>
                </div>
                <div class="sign">
                    <div class="form">
                        <legend data-i18n="sign message">Sign message</legend>
                        <div class="field-row">
                            <label data-i18n="message">Message</label>
                            <input type="text" id="sign_message">
                        </div>
                        <button id="sign" data-i18n="sign message">Sign message</button>
                    </div>
                    <div class="field-row field-row-outer hidden">
                        <label data-i18n="result">Result</label>
                        <p id="sign_result"></p>
                    </div>
                    <div class="form">
                        <legend data-i18n="verify message">Verify message</legend>
                        <div class="field-row">
                            <label data-i18n="account">Account</label>
                            <input type="text" id="verify_account">
                        </div>
                        <div class="field-row">
                            <label data-i18n="signature">Signature</label>
                            <input type="text" id="verify_signature">
                        </div>
                        <div class="field-row">
                            <label data-i18n="message">Message</label>
                            <input type="text" id="verify_message">
                        </div>
                        <button id="verify" data-i18n="verify message">Verify message</button>
                    </div>
                    <div class="field-row field-row-outer hidden">
                        <label data-i18n="result">Result</label>
                        <p id="verify_result"></p>
                    </div>
                </div>
                <div class="encrypted_chat">
                    <div class="container clearfix">
                        <div class="people-list" id="people-list">
                            <div class="search">
                                <input type="text" placeholder="search">
                                <i class="fa fa-search"></i>
                            </div>
                            <ul class="list">
                                <li class="clearfix">
                                    <div class="chatabout">
                                        <div class="name">Rat4</div>
                                        <div class="status">
                                            <i class="fa fa-lock online"></i>7 mins ago
                                        </div>
                                    </div>
                                </li>
                                <li class="clearfix">
                                    <div class="chatabout">
                                        <div class="name">Asoshi</div>
                                        <div class="status">
                                            <i class="fa fa-lock online"></i> 7 mins ago
                                        </div>
                                    </div>
                                </li>
                                <li class="clearfix">
                                    <div class="chatabout">
                                        <div class="name">Seven God</div>
                                        <div class="status">
                                            <i class="fa fa-lock online"></i> 17 mins ago
                                        </div>
                                    </div>
                                </li>
                                <li class="clearfix">
                                    <div class="chatabout">
                                        <div class="name">Erica Hughes</div>
                                        <div class="status">
                                            <i class="fa fa-lock online"></i> online
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <div class="chat">
                            <div class="chat-header clearfix">
                                <div class="chat-about">
                                    <div class="chat-with">Chat with Rat4</div>
                                    <div class="chat-num-messages">already 1 902 messages</div>
                                </div>
                                <i class="fa fa-star"></i>
                            </div>
                            <div class="chat-history">
                                <ul>
                                    <li class="clearfix">
                                        <div class="message-data align-right">
                                            <span class="message-data-time">10:10 AM, Today</span> &nbsp; &nbsp;
                                            <span class="message-data-name">blacknet1fcemzzxna</span> <i
                                                class="fa fa-lock me"></i>
                                        </div>
                                        <div class="message other-message float-right">
                                            Hi Rat4, how are you? How about blacknet 0.2.5?
                                        </div>
                                    </li>
                                    <li>
                                        <div class="message-data">
                                            <span class="message-data-name"><i class="fa fa-lock online"></i>
                                                Rat4</span>
                                            <span class="message-data-time">10:12 AM, Today</span>
                                        </div>
                                        <div class="message my-message">
                                            Will release soon!
                                        </div>
                                    </li>
                                    <li class="clearfix">
                                        <div class="message-data align-right">
                                            <span class="message-data-time">10:14 AM, Today</span> &nbsp; &nbsp;
                                            <span class="message-data-name">blacknet1fcemzzxna</span> <i
                                                class="fa fa-lock me"></i>
                                        </div>
                                        <div class="message other-message float-right">
                                            ………………………………
                                        </div>
                                    </li>
                                    <li>
                                        <div class="message-data">
                                            <span class="message-data-name"><i class="fa fa-lock online"></i>
                                                Rat4</span>
                                            <span class="message-data-time">10:20 AM, Today</span>
                                        </div>
                                        <div class="message my-message">
                                            …………………………
                                        </div>
                                    </li>
                                    <li>
                                        <div class="message-data">
                                            <span class="message-data-name"><i class="fa fa-lock online"></i>
                                                Rat4</span>
                                            <span class="message-data-time">10:31 AM, Today</span>
                                        </div>
                                        <i class="fa fa-lock online"></i>
                                        <i class="fa fa-lock online"></i>
                                        <i class="fa fa-lock online"></i>
                                    </li>
                                </ul>
                            </div>
                            <div class="chat-message clearfix">
                                <textarea name="message-to-send" id="message-to-send" placeholder="Type your message"
                                    rows="3"></textarea>
                                <i class="fa fa-file-o"></i> &nbsp;&nbsp;&nbsp;
                                <i class="fa fa-file-image-o"></i>
                                <button>Send</button>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="about">
                    <p>
                        Blacknet Desktop Version <span class='overview_version strong'></span>.<br /> Copyright © 2018-2020
                        Blacknet Team.<br />
                        <span data-i18n="This software uses experimental cryptography.">This software uses experimental
                            cryptography.</span><br />
                        <span data-i18n="Visit">Visit</span> <a href="https://blacknet.ninja"
                            target="_blank">https://blacknet.ninja</a>
                        <span data-i18n="for further information about the software.">for further information about the
                            software.</span><br />
                        <span data-i18n="For licensing information see">For licensing information see</span> <a
                            href="LICENSE.txt" target="_blank">LICENSE</a> and <a href="3RD-PARTY-LICENSES.txt"
                            target="_blank">3RD-PARTY-LICENSES</a>.
                        
                    </p>
                </div>
                <div class="lease">
                    <div class="form">
                        <legend data-i18n="lease bln">Lease BLN</legend>
                        <div class="field-row">
                            <label data-i18n="lease to">Lease To</label>
                            <input type="text" id="lease_to" placeholder="Blacknet account...">
                        </div>

                        <div class="field-row">
                            <label>
                                <span data-i18n="amount">Amount</span>
                                <strong>(BLN)</strong>
                            </label>
                            <input type="number" placeholder="Amount" step="0.00000001" min="1" id="lease_amount">
                        </div>
                        <div class="field-row">
                            <label>
                                <span data-i18n="fee">Fee</span>
                                <strong>(BLN)</strong>
                            </label>
                            <input type="text" id="lease_fee" value='0.001'>
                        </div>
                        <button id="lease" data-i18n="lease">Lease</button>
                    </div>
                    <div class="field-row field-row-outer hidden">
                        <label data-i18n="result">Result</label>
                        <p id="lease_result"></p>
                    </div>
                </div>
                <div class="cancel_lease">
                    <h3 data-i18n="out leases">Out Leases</h3>
                    <table id="leases-table">
                        <thead>
                            <tr>
                                <td data-i18n="Index">Index</td>
                                <td data-i18n="Account">Account</td>
                                <td data-i18n="Height">Height</td>
                                <td data-i18n="Amount">Amount</td>
                                <td data-i18n="Cancel Lease">Cancel</td>
                            </tr>
                        </thead>
                        <tbody id="leases-list">
                            <tr class="loading-spinner">
                                <td colspan="5">
                                    <div class="spinner">
                                        <div class="rect1"></div>
                                        <div class="rect2"></div>
                                        <div class="rect3"></div>
                                        <div class="rect4"></div>
                                        <div class="rect5"></div>
                                    </div>
                                    <div class="tx-progress text-center"></div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr class="no_out_leases_msg">
                                <td colspan="5" class="text-center">No out leases yet</td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
            <!-- End container div -->
        </div>

        <div class="mask init"></div>
        <div class="dialog send">
            <div class="header"></div>
            <div class="body">
                <br>
                <p data-i18n="are you sure you want to send?">Are you sure you want to send?</p>
                <br>
                <br>
                <p>1000.00000000 BLN to</p>
                <p>blacknet1p6net7gqy907ga6skdasf63ewz08ez83puhmlyquj0sdy0f0xyvslc4j3u</p>
                <br>
                <br>
                <p data-i18n="bln added as transaction fee?">BLN added as transaction fee?</p>
            </div>
            <div class="btns">
                <button id="generate_new_account" data-i18n="confirm">Confirm</button>
                <button id="generate_new_account" data-i18n="cancel" class="cancel">Cancel</button>
            </div>
        </div>
        <div class="dialog contacts-dialog">
            <div class="header"></div>
            <div class="body">
                <h3 data-i18n="contacts">Contacts</h3>
                <table id="contact-table">
                    <thead>
                        <tr>
                            <td data-i18n="Account">Account</td>
                            <td data-i18n="Name">Name</td>
                        </tr>
                    </thead>
                    <tbody id="contact-list"></tbody>
                </table>
                <div class="form" class="add-peer">
                    <div class="field-row">
                        <label data-i18n="Name">Name</label>
                        <input type="text" class="name" value=''>
                    </div>
                    <div class="field-row">
                        <label data-i18n="Account">Account</label>
                        <input type="text" class="account" value="">
                    </div>
                    <button id="new_contact_btn" data-i18n="Add">New Contact</button>
                </div>
            </div>
        </div>
        <div class="dialog password">
            <div class="header"></div>
            <div class="body">
                <p>
                    <span data-i18n="this operation needs your mnemonic.">This operation needs your Mnemonic.</span></p>
                <br>
                <p data-i18n="enter your mnemonic:">Enter Your Mnemonic:</p>
                <input type="password" class='mnemonic'>
            </div>
            <div class="btns">
                <button class="confirm v2" data-i18n="confirm">Confirm</button>
            </div>
        </div>
        <div class="dialog confirm">
            <div class="header"></div>
            <div class="body">
                <p>
                    confirm
                </p>
            </div>
            <div class="btns">
                <button class="cancel v2" data-i18n="cancel">Cancel</button>
                <button class="confirm v2" data-i18n="confirm">Confirm</button>
            </div>
        </div>
        <div class="dialog account">
            <div class="header"></div>
            <div class="body"></div>
            <div class="body">
                <img src="images/logo.png" height="160" width="160" alt="">
                <h1>Blacknet Wallet</h1>
                <div class="spinner">
                    <div class="rect1"></div>
                    <div class="rect2"></div>
                    <div class="rect3"></div>
                    <div class="rect4"></div>
                    <div class="rect5"></div>
                </div>
                <p class="account-input">
                    <input type="password" class='account_text' placeholder="Input your mnemonic">
                </p>
            </div>
            <div class="account-input">
                <button class="enter v2" data-i18n="enter">Enter</button><br>
                <br>
                <a href="#" id="new_account" data-i18n="create account"> (DON'T HAVE AN ACCOUNT? CLICK HERE TO CREATE
                    ONE!)</a>
            </div>
        </div>
        <div class="dialog newaccount">
            <div class="header"></div>
            <div class="body"></div>
            <div class="body">
                <h1>Your automatically generated Mnemonic is:</h1>
                <div class="form">

                    <div class="field-row">
                        <label data-i18n="mnemonic">Mnemonic</label>
                        <input type="text" id="new_mnemonic" readonly>
                    </div>
                    <div class="field-row">
                        <label data-i18n="account">Account</label>
                        <input type="text" id="new_account_text" readonly>
                    </div>

                </div>
                <div id="confirm_mnemonic_warning_container">
                    <input type="checkbox" id="confirm_mnemonic_warning" value="0">
                    <span></span>
                    <label for="confirm_mnemonic_warning" data-i18n="promise of save mnemonic">I will not forget my
                        mnemonic and I will never disclose it</label>
                </div>
                <button id="new_account_next_step" data-i18n="next">Next</button>
            </div>

        </div>
        <div class="progress-stats">
            <div class="progress">
                <div class="progress-bar" role="progressbar"></div>
            </div>
        </div>
        <div class="progress-stats-text"></div>

        <div class="notification tx">
            <p>Incoming Transaction</p>
            <p>Date: <span class="time"></span></p>
            <p>Amount: <span class="amount"></span> Type: <span class="type"></span></p>
        </div>
        <footer></footer>
        <script type="text/javascript" src="js/common.js"></script>
        <script type="text/javascript" src="js/tmpl.js"></script>
        <script type="text/javascript" src="js/i18n.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
</body>
</html>